% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/maxAcq.R
\name{maxAcq}
\alias{maxAcq}
\title{Maximize Acquisition Function}
\usage{
maxAcq(GPs, GPe, TryOver, acq = "ucb", y_max, kappa, eps, parallel,
  ParMethod, convThresh)
}
\arguments{
\item{GPs}{an object of class gp}

\item{GPe}{an object of class gp}

\item{TryOver}{A data.table of initial points to try over.}

\item{acq}{Acquisition function type to be used}

\item{y_max}{The current maximum known value of the target utility function}

\item{kappa}{tunable parameter kappa to balance exploitation against exploration}

\item{eps}{tunable parameter epsilon to balance exploitation against exploration}

\item{parallel}{should the search be performed in parallel}

\item{convThresh}{convergence threshold. Passed to optim function "L-BFGS-B" factr parameter.}
}
\value{
A data table of local optimums.
}
\description{
Uses optim function to find parameters that maximize Acquisition Function
}
\keyword{internal}
